﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <MinimumVisualStudioVersion>10.0</MinimumVisualStudioVersion>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{371CFA36-6487-4453-BF52-2B8FE5C00278}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Sodexo</RootNamespace>
    <AssemblyName>Sodexo.MicroFramework</AssemblyName>
    <DefaultLanguage>en-US</DefaultLanguage>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{786C830F-07A1-408B-BD7F-6EE04809D6DB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <TargetFrameworkProfile>Profile259</TargetFrameworkProfile>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\Sodexo.MicroFramework\</SolutionDir>
    <RestorePackages>true</RestorePackages>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="AdvancedPropertyChangeEventArgs.cs" />
    <Compile Include="AssemblyService.cs" />
    <Compile Include="Comparer.cs" />
    <Compile Include="Constants\Constants.cs" />
    <Compile Include="DevelopperToolAttribute.cs" />
    <Compile Include="Extensions.cs" />
    <Compile Include="FakeNetworkService.cs" />
    <Compile Include="GeoLocation\IGeolocator.cs" />
    <Compile Include="GeoLocation\Position.cs" />
    <Compile Include="GeoLocation\PositionExtensions.cs" />
    <Compile Include="IApplicationService.cs" />
    <Compile Include="ICryptography.cs" />
    <Compile Include="IFileService.cs" />
    <Compile Include="IHttpService.cs" />
    <Compile Include="IInteractionService_Base.cs" />
    <Compile Include="ILocalizeService.cs" />
    <Compile Include="ImageCache.cs" />
    <Compile Include="INetworkService.cs" />
    <Compile Include="IObservableObject.cs" />
    <Compile Include="ISendMailService.cs" />
    <Compile Include="ISerializerService.cs" />
    <Compile Include="IThemeService.cs" />
    <Compile Include="JobService.cs" />
    <Compile Include="LocationService.cs" />
    <Compile Include="Logs.cs" />
    <Compile Include="Memento.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="HttpService.cs" />
    <Compile Include="RemoteCallService.cs" />
    <Compile Include="IApplicationStateService.cs" />
    <Compile Include="IAssemblyService.cs" />
    <Compile Include="IContainer.cs" />
    <Compile Include="IDelegateCommand.cs" />
    <Compile Include="IDelegateCommand.generic.cs" />
    <Compile Include="IRemoteCallService.cs" />
    <Compile Include="IInstanceManager.cs" />
    <Compile Include="IInteractionService.cs" />
    <Compile Include="IObservableObjectDataErrorInfo.cs" />
    <Compile Include="Framework.cs" />
    <Compile Include="IValidationContext.cs" />
    <Compile Include="IView.cs" />
    <Compile Include="IViewModel.cs" />
    <Compile Include="ObservableObjectValidationContextExtension.cs" />
    <Compile Include="ObservableObjectValidationContext.cs" />
    <Compile Include="ObservableObjectDataErrorInfo.cs" />
    <Compile Include="Command.cs" />
    <Compile Include="DelegateCommand.cs" />
    <Compile Include="DelegateCommand.generic.cs" />
    <Compile Include="Container.cs" />
    <Compile Include="InstanceManager.cs" />
    <Compile Include="ObservableObject.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ApplicationStateService.cs" />
    <Compile Include="IServices.cs" />
    <Compile Include="IPhoneService.cs" />
    <Compile Include="SerializerService.cs" />
    <Compile Include="UsingAction.cs" />
    <Compile Include="ViewModel.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.8.0.3\lib\portable-net45+wp80+win8+wpa81+dnxcore50\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\Portable\$(TargetFrameworkVersion)\Microsoft.Portable.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>